Rails.application.routes.draw do
  get  "/welcome",  to: "candidate#welcome",         as: :welcome
  get  "/thankyou", to: "candidate#thankyou",        as: :thankyou
  get  "/saved",    to: "candidate#saved",           as: :saved
  get  "/summary",  to: "candidate#summary",         as: :summary
  post "/summary",  to: "candidate#update_summary",  as: :post_summary
  post "/question", to: "candidate#update_question", as: :post_question
  get  "/question", to: "candidate#question",        as: :question
  post "/validate", to: "candidate#validate",        as: :validate_candidate

  # live coder partial
  get  "/live-coder-entry/:question_id", to: "candidate#live_coder"

  root to: "candidate#welcome"
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
